Subject: Re: [PATCH 2/2] Add support for host aliases in config files

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Feb 2008 13:35:32 -0800

Daniel Barkalow <[email-masked]> writes:

> On Tue, 19 Feb 2008, Jon Loeliger wrote:
>
>> Also, is "host" really the right config key?  Maybe "rewritehost"?
>> Or is this thought to be the basis of other (perhaps not rewrite
>> related) properties of the same host as well?
>
> I think it's likely that other properties of the host could show up. I 
> suspect that uploadpack and receivepack would be useful host-wide if you 
> were using a lot of ad-hoc repository names on a big site. Rewriting the 
> URLs is just the itch I had with this scope.

I'd agree that per-host configuration may be useful, and your
"paths to programs" may be a good example.  But I think it is
plausible that a host needs multiple <rewritefrom,rewriteto>
tuples.  Either your '[host "$this_url"] aka = $that_url' or
Dscho's earlier '[rewrite "$this_url_to"] url = $that_url' shows
that this is not about host but "prefix part of URL".